madkit.action

## Enum SchedulingAction

- java.lang.Object
- - java.lang.Enum<SchedulingAction>
  - - madkit.action.SchedulingAction

- All Implemented Interfaces:
    Serializable, Comparable<SchedulingAction>

      public enum SchedulingAction
      extends Enum<SchedulingAction>

  Enum representing operations which could be done by a `Scheduler` agent. It could be used by an agent to interact with the scheduler by creating `Action` using `getActionFor(Scheduler, Object...)`.
  Since:
    MaDKit 5.0.0.14
  Version:
    0.9
  Author:
    Fabien Michel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PAUSE`
    `RUN`
    `SHUTDOWN`
    `SPEED_DOWN`
    `SPEED_UP`
    `STEP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action` | `getActionFor(Scheduler theScheduler, Object... parameters)` Builds an action that will make the corresponding scheduler do the related operation if possible.
    `ActionInfo` | `getActionInfo()`
    `static SchedulingAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SchedulingAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RUN

          public static final SchedulingAction RUN

    - #### STEP

          public static final SchedulingAction STEP

    - #### SPEED_UP

          public static final SchedulingAction SPEED_UP

    - #### SPEED_DOWN

          public static final SchedulingAction SPEED_DOWN

    - #### PAUSE

          public static final SchedulingAction PAUSE

    - #### SHUTDOWN

          public static final SchedulingAction SHUTDOWN

  - ### Method Detail

    - #### values

          public static SchedulingAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SchedulingAction c : SchedulingAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SchedulingAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getActionInfo

          public ActionInfo getActionInfo()

      Returns:
        the actionInfo

    - #### getActionFor

          public Action getActionFor(Scheduler theScheduler,
                            Object... parameters)

      Builds an action that will make the corresponding scheduler do the related operation if possible.
      Parameters:
        `theScheduler` - the scheduler on which the action will be triggered if possible
        `parameters` - the info
      Returns:
        the corresponding action

Fabien Michel, Olivier Gutknecht, Jacques Ferber - February 12 2016